import java.util.ArrayList;

public class Main {

    public static void main(String[] args) {
        //Schedule a job for the event-dispatching thread:
        //creating and showing this application's GUI.
        String programName = "Person Comparator";

        ArrayList<Person> personArrayList = new ArrayList<>();
        Person person1 = new Person("Alan", "United States of America", 180, 95, "black");
        personArrayList.add(person1);
        Person person2 = new Person("Brice", "France", 190, 82, "brown");
        personArrayList.add(person2);
        Person person3 = new Person("Alexandre", "France", 175, 73, "green");
        personArrayList.add(person3);
        Person person4 = new Person("Sophia", "Brasil", 155, 57, "blue");
        personArrayList.add(person4);

        Person emptyPerson = new Person();
        emptyPerson.setPersonArrayList(personArrayList);
        PersonView emptyPersonView = new PersonView(emptyPerson);

        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                MainWindowsView mainWindows = new MainWindowsView(programName, emptyPersonView);
                mainWindows.showGUI();
            }
        });
    }
}
